Tag Archives: Insert

No Thumbnail

Tekla Open API: Insert Single Rebar

This article explains how you can add a single rebar to a concrete part in a Tekla Structure model using the Tekla Open API in VB.Net. – Step 1: Add reference to the Tekla.Structures.Model and Tekla.Structures library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open

No Thumbnail

VBA, Word Table Insert/Remove Rows/Columns

In this article I will explain how you can add and delete rows and columns from tables in a word document using VBA. Every word document has a Tables collection The first step in working with a table in VBA for word is to determine the

No Thumbnail

Tekla Structures Add Single Rebar

This article explains how you to add a single rebar to a Tekla model. – Step 1: Detailing >> Create Reinforcement >> Reinforcing Bar: – Step 2: Click on the Part object you want the rebar to be applied to: – Step 3: Select the

No Thumbnail

Insert Concrete Column Using VB.Net (Tekla Open Api)

This article explains how to insert a concrete column in a tekla model using open api in VB.Net – Step 1: Add reference to the Tekla.Structures.Model.dll and the Tekla Structures.dll assemblies and manually start the application. This has been previous explained in the article below: VB.Net Open

Word Insert Merge Field (Mail Merge)

In this article I will explain the Insert Merge Field feature in word. – What is it? Lets say you want to send the same letter to a 100 different recipients. Consider the following letter: Everything in this letter is the same for all recipients except the highlighted

No Thumbnail

Word VBA Insert Images

In this article I will explain how you can use VBA for word to insert images to a word document using VBA. – Insert Single Image: The code below will insert the image “SP_A0155.jpg” from the location “D:StuffBusinessTemp”: Sub Example1() Selection.InlineShapes.AddPicture FileName:= _ “D:StuffBusinessTempSP_A0155.jpg”,

No Thumbnail

Insert Concrete Beam Using VB.Net (Tekla Open API)

This article explains how to insert a concrete beam in a tekla model using the Tekla Open API in VB.Net. Previously in the article Insert Concrete Column Using VB.Net (Tekla Open Api) I’ve explained how to add columns to a tekla model. Adding beams is exactly the

No Thumbnail

Tekla Open API: Grids

This article explains how you can create/modify/delete grids in the model using the Tekla Open API in VB.Net. Step 1: Add reference to the Tekla.Structures.Model library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open the tekla model. This has been covered in the article

privacy policy